SELECT
    --o.glec
    to_char(CASE WHEN extract(month FROM o.sdate) >= 6 THEN -5 ELSE 7 END + extract(month FROM o.sdate),'FM00')||' - '||to_char(o.sdate,'TMMon') order_month
    ,ROUND(SUM(fb_val_loc * r_rate) FILTER (WHERE sseas = 2019 AND version IN ('b24') AND iter = 'actuals'),0)          act2019
    --,ROUND(SUM(fb_val_loc * r_rate) FILTER (WHERE sseas = 2019 AND version IN ('b24') AND iter = 'actuals_plug'),0)     act2019
    ,ROUND(SUM(fb_val_loc * r_rate) FILTER (WHERE sseas = 2019 AND version IN ('b24')),0)                               total_baseline
    ,ROUND(SUM(fb_val_loc * r_rate) FILTER (WHERE sseas = 2024 ),0)                                                     plan2024
FROM
    rlarp.osmf o
WHERE
    true
    --sseas IN (2023,2024)
    --AND substring(glec,1,1) <= '2'
    --AND quota_rep_descr = 'COLIN MAXWELL'
GROUP BY
    ROLLUP (
        --o.glec,
        to_char(CASE WHEN extract(month FROM o.sdate) >= 6 THEN -5 ELSE 7 END + extract(month FROM o.sdate),'FM00')||' - '||to_char(o.sdate,'TMMon')
        )
ORDER BY
    --o.glec,
    order_month
